Bug 89061 - replacing usb mouse with ps/2 mouse fails
replacing usb mouse with ps/2 mouse fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-16 21:25 EDT by nboric
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 17:32:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nboric 2003-04-16 21:25:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4a) Gecko/20030401

Description of problem:
I was using a genius usb mouse (Webscroll + I think), but redhat has problems
detecting it (10% of the times I start the computer, redhat doesn't detect the
mouse, this should be in a separate bug)

To solve this, I used the included usb to ps/2 adapter to connect the same mouse
to the ps/2 port, and rebooted. Kudzu detects the mouse, (I selected generic
ps/2 wheel mouse), and it works ok in console mode. But when X starts, it hangs
for about 15 seconds, and then the login screen appears and i can't move the
mouse. If I get back to console (ctrl alt f1), it works again. Switching back to
X, I have to wait again, and it doesn't work.

Very weird thing is that if I login to X, and using the keyboard I open
redhat-config-mouse, and select generic ps/2 wheel mouse, it suddenly works!!
But if I close the session, or go to console mode and back to X, it stops working.

Note that the mouse and the ps/2 adapter seem to be ok, because I can use the
mouse on both ports on windows and mandrake.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
as detaliled above

Additional info:
Comment 1 nboric 2003-04-18 17:00:49 EDT
Update: the problem is fixed by removig the following line from XF86Config

InputDevice    "Mouse0" "SendCoreEvents"

The bug still applies, because, if this is the right way to fix this, it should
be done automatically
Comment 2 Brent Fox 2003-05-22 11:34:36 EDT
This sounds like a bug in the way X is talking to the mouse.  We want to leave
the "SendCoreEvents" option in the file because that allows more than one input
device to move the cursor (like a laptop with a touchpad and an external mouse).

Mike, I'm assigning this to XFree86 since it sounds like an X mouse driver bug.
 Let me know if I'm on crack here. 
Comment 3 Mike A. Harris 2003-05-22 15:38:09 EDT
Sounds to me like your XFree86 is configured for the USB mouse, you changed
to PS/2 adaptor and did not reconfigure XFree86 to use it as a PS/2 mouse.

Rename your X config file, then run redhat-config-xfree86 and generate
a brand new X config.  I seriously doubt this is an XFree86 mouse driver
bug.  It is most likely just a configuration problem.
Comment 4 Mike A. Harris 2004-09-23 12:21:19 EDT
This appears to be configuration issue, so closing as "NOTABUG".
If a freshly generated config file still produces this problem,
please upgrade to Fedora Core 2 and try to reproduce.  If it still
occurs, please file a new bug report.

Thanks.
Comment 5 Mike A. Harris 2004-09-29 17:32:39 EDT
This bug was last marked NOTABUG, but somehow the bug status did not
get updated.  Here's an updated suggestion:

Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core
(http://fedora.redhat.com).

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.